TreeSortMode (JavaFX 17)

Module javafx.controls
Package javafx.scene.control

## Enum TreeSortMode

- java.lang.Object
- - java.lang.Enum<TreeSortMode>
  - - javafx.scene.control.TreeSortMode

- All Implemented Interfaces:
    `Serializable`, `Comparable<TreeSortMode>`

      public enum TreeSortMode
      extends Enum<TreeSortMode>

  Specifies how the tree items in tree-like UI controls should be sorted.
  Since:
    JavaFX 8.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALL_DESCENDANTS` | Default; sort all nodes.
    `ONLY_FIRST_LEVEL` | Sort first level nodes only regardless of whether the root is actually being shown or not.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TreeSortMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TreeSortMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL_DESCENDANTS

          public static final TreeSortMode ALL_DESCENDANTS

      Default; sort all nodes.

    - #### ONLY_FIRST_LEVEL

          public static final TreeSortMode ONLY_FIRST_LEVEL

      Sort first level nodes only regardless of whether the root is actually being shown or not.

  - ### Method Detail

    - #### values

          public static TreeSortMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TreeSortMode c : TreeSortMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TreeSortMode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null